import { type ProblemDetail } from '@hello.nrfcloud.com/proto/hello';
import type { MiddlewareObj } from '@middy/core';
import type { Static } from '@sinclair/typebox';
import type { APIGatewayProxyEventV2, APIGatewayProxyStructuredResultV2, Context } from 'aws-lambda';
export declare class ProblemDetailError extends Error {
    readonly problem: Static<typeof ProblemDetail>;
    constructor(problem: Static<typeof ProblemDetail>);
}
export declare const problemResponse: () => MiddlewareObj<APIGatewayProxyEventV2, APIGatewayProxyStructuredResultV2, Error, Context>;
